/*ナビメニューのスタイルを指定*/
nav.NavMenu{
    position: fixed; /*表示位置を固定*/
    z-index: 2; /*重ね順を変更*/
    top: 0; /*表示位置を指定*/
    left: 0; /*表示位置を指定*/
    background: lightyellow; /*背景色*/
    color: #333; /*文字色*/
    text-align: center; /*テキストを中央揃え*/
    width: 100%; /*全幅表示*/
    transform: translateX(100%); /*ナビを右に隠す*/
    transition: all 0.6s; /*アニメーションの時間を指定*/
}

nav.NavMenu ul{
    background: lightgreen; /*背景色*/
    width: 50%;
    margin: 0 auto;
    padding: 0;
}

nav.NavMenu ul li{
    font-size: 1.1em;
    list-style-type: square;
    color: lightblue;
    padding: 0;
    width: 100%;
    border-bottom: 1px dotted #333;
}

nav.NavMenu ul li:last-child{
    padding-bottom: 0;
    border-bottom: none; /*最後のメニュー項目のみ下線を消す*/
}

nav.NavMenu ul li a{
    display: block; /*クリックできる領域を広げる*/
    color: lightpink;
    padding: 1em 0;
}

/*トグルボタンが押されたときに付与するクラス*/
nav.NavMenu.active{
    transform: translateX(0%);
}

/*トグルボタンのスタイルを指定*/
.Toggle{
    display: block;
    position: fixed; /*bodyに対しての絶対位置指定*/
    right: 13px;
    top: 12px;
    width: 42px;
    height: 51px;
    cursor: pointer;
    z-index: 3;
    text-align: center;
    background: lightgray;
}

.Toggle span{
    display: block;
    position: absolute;
    width: 30px;
    border-bottom: solid 3px #000;
    -webkit-transition: .35s ease-in-out; /*変化の速度を指定*/
    -moz-transition: .35s ease-in-out; /*変化の速度を指定*/
    transition: .35s ease-in-out; /*変化の速度を指定*/
    left: 6px;
}

.Toggle span:nth-child(1){
    top: 9px;
}

.TOggle span:nth-child(2){
    top: 18px;
}

.Toggle span:nth-child(3){
    top: 27px;
}

.Toggle span:nth-child(4){
    border: none;
    color: #333;
    font-size: 9px;
    font-weight: bold;
    top: 34px;
}

/*最初のspanをマイナス45度に*/
.Toggle.active span:nth-child(1){
    top: 18px;
    left: 6px;
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    transform: rotate(-45deg);
}

/*2番目と3番目のspanを45度に*/
.Toggle.active span:nth-child(2),
.Toggle.active span:nth-child(3){
    top: 18px;
    -webkit-transform: rorate(45deg);
    -moz-transform: rotate(45deg);
    transform: rotate(45deg);
}

